//this file is part of eMule
//Copyright (C)2003-2008 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#pragma once

class CPPgMOD3 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgMOD3)

public:
	CPPgMOD3();
	virtual ~CPPgMOD3();
	void Localize(void);
	// Dialog Data
	enum { IDD = IDD_PPG_MOD3 };

protected:
	bool	EnableCountryFlag;
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    BOOL OnApply(void);
	void LoadSettings(void);
	BOOL OnInitDialog(void);

// By Taz - ASFv2
	int	m_iFilter;
// <------- ASFv2

DECLARE_MESSAGE_MAP()
	afx_msg void OnSettingsChange()					{ SetModified(); }
	//Ackronic START - Links
	afx_msg void OnBnClickedAckHelp();
	afx_msg void OnBnClickedAckHelp3();
	//Ackronic END - Links

// By Taz - ASFv2
	afx_msg void OnBnClickedASF_ON();

// Contrib - fix
	afx_msg void OnBnClickedAckHelp2();//Mulo da Soma - restore 3° link now pointing to AcKroNiC WiKi
// <-------- fix

	afx_msg void OnBnClickedSERVERANALYZER_ON();
// <------- ASFv2

};
